Generate Dynamic QR String
curl --request POST \
--url https://test-api.sandbox.co.in/bank/virtual/accounts/{account_number}/payments/payin/upi/generate-dynamic-qr \
--header 'Content-Type: application/json' \
--data '
{
"@entity": "<string>",
"amount": 123,
"payment_details": {
"@entity": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://test-api.sandbox.co.in/bank/virtual/accounts/{account_number}/payments/payin/upi/generate-dynamic-qr"
payload = {
"@entity": "<string>",
"amount": 123,
"payment_details": {
"@entity": "<string>",
"description": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
'@entity': '<string>',
amount: 123,
payment_details: {'@entity': '<string>', description: '<string>'}
})
};
fetch('https://test-api.sandbox.co.in/bank/virtual/accounts/{account_number}/payments/payin/upi/generate-dynamic-qr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": 123,
"transaction_id": "<string>",
"data": {
"qr_string": "<string>",
"transaction_id": "<string>"
},
"code": 123
}Generate Dynamic QR String
Generate Dynamic QR String API allows you to create a dynamic, one time QR code for a virtual account
POST
/
bank
/
virtual
/
accounts
/
{account_number}
/
payments
/
payin
/
upi
/
generate-dynamic-qr
Generate Dynamic QR String
Path Parameters
Was this page helpful?
āI